part of ngx_core;

/// The factory function retrieving the instance of the application configuration.
Map<String, dynamic> configFactory() => js.convertToDart(js.config) ?? const {};

/// An injection token representing the application configuration.
const OpaqueToken configToken = const OpaqueToken('configuration');

/// The factory provider for injecting the application configuration.
const Provider configProvider = const Provider<Map<String, dynamic>>(configToken, useFactory: configFactory);

/// The factory function retrieving the value of the application environment.
String envFactory() => js.environment ?? const String.fromEnvironment('env', defaultValue: 'development');

/// An injection token representing the application environment.
const OpaqueToken envToken = const OpaqueToken('environment');

/// The factory provider for injecting the application environment.
const Provider envProvider = const Provider<String>(envToken, useFactory: envFactory);

/// The factory function retrieving the instance of the application configuration.
dom.Window windowFactory() => dom.window;

/// The factory provider for injecting the browser's window.
const Provider windowProvider = const Provider<dom.Window>(dom.Window, useFactory: windowFactory);
